<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 636 $
 * $Author: PragmaMx $
 * $Date: 2022-10-24 07:41:49 +0200 (Mo, 24. Okt 2022) $
 */

defined('mxMainFileLoaded') or die('access denied');


$module_name=basename(dirname(dirname(__FILE__)));
$mypath=PMX_MODULES_PATH . $module_name .DS;
$picpath=$mypath."images".DS;
$mxblockcache = false;

include_once($mypath."includes/functions.php");

$cfg = load_class('Config',$module_name);
$section= $cfg->getSection($module_name);
$slider=$section['slider'];
switch ($slider['type'])
{
	case 0:
	/* random */
		$slidertype=PMXSLIDERS_TYPES;
	break;
	default:
		$slidertype=pmxSlider_type_from_nr($slider['type']);	
}


$content="";
$outpic="";
$outthumb="";
$pic=0;
$sql = "SELECT * FROM `".PMXSLIDER_TABLE."` WHERE active='1' ORDER BY position ASC";
$pictures=sql_query($sql);
			
foreach($pictures as $row){
	if (trim($row['url'])=="") $row['url']="./";
	
    $outpic .= '<li><a href="'.$row['url'].'" title="'.$row['title'].'"><img src="'.$row['image'].'" target="'.$row['link_type'].'" alt="'.$row['title'].'" title="'.$row['title'].'" id="pmxs1_'.$pic.'"/></a>
				'.$row['subtitle'].'</li>
	';
    $outthumb .= '<a href="'.$row['url'].'" title="'.$row['title'].'"><span>'.$row['subtitle'].'</span></a>
	';
    $pic++;
}
//unload($pictures);
if ($pic>0) { /* nur wenn was da ist, anzeigen */
	$jscript='
	<script type="text/javascript">
	jQuery("#pmxslider-container1").pmxSlider(
		{
			effect:"'.$slidertype.'",
			prev:"",
			next:"",
			duration:'.$slider['duration'].',
			delay:'.$slider['delay'].',
			width:"'.$slider['width'].'",
			height:"'.$slider['height'].'",
			autoPlay:'.$slider['autoPlay'].',
			autoPlayVideo:false,
			playPause:true,
			stopOnHover:false,
			loop:false,
			bullets:0,
			caption:'.(($slider['showTitle'])?"true":"false").',
			captionEffect:"move",
			controls:true,
			controlsThumb:false,
			responsive:2,
			fullScreen:false,
			gestures:2,
			onBeforeStep:0,
			images:0
		}
	);
	</script>';


    $content .= 
	'<div id="pmxslider-container1">
	<div class="ws_images">
	<ul>
		'.$outpic.'
	</ul>
	</div>
	</div>
	<script type="text/javascript" src="'.$mypath.'slider/pmxslider.js"></script>
	<script type="text/javascript" src="'.$mypath.'slider/script.js"></script>
	'. $jscript;
	
	pmxHeader::add_jquery();
	
	pmxHeader::add_style($mypath."slider/style.css");
	pmxHeader::add_style_code('
	
		#pmxslider-container1 { 
			width: 100%;
			max-width: 100%;
			max-height:'.$slider['width'].'px;
			height:'.$slider['height'].'px;
		}
		#pmxslider-container1 .ws-title {
			position: absolute;
			font: 2em Arial, Helvetica, sans-serif;
			left: 1em;
			/*margin-right: 10em;*/
			z-index: 50;
			background: none;
			background-color: rgba(0, 0, 0, 0);
			background-color: #fff;
			color: #414141;
			padding: 1em;
			/*bottom: auto;*/
			/*left:50px !important;*/
			top: 50px !important;
			opacity:0.8 !important;
			height:auto;		
		}
		#pmxslider-container1 {
			max-height:'.$slider['height'].'px !important;
		}
		#pmxslider-container1 .ws_images {
			max-height:'.$slider['height'].'px !important;
		}		
		#pmxslider-container1 .ws_images ul a{
			max-height:'.$slider['height'].'px !important;
		}		
		#pmxslider-container1 .ws_images > div > img {
			max-height:'.$slider['height'].'px !important;
		}
		#pmxslider-container1 .ws_images ul a {
			font-size: 1em;
		}
		#pmxslider-container1 .ws_images > div > img {
			width: 100%;

		}
		');
}	
?>
