<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Author: Olaf Herfurth / TerraProject  http://www.tecmu.de
 *
 * $Revision: 17 $
 * $Author: PragmaMx $
 * $Date: 2021-02-25 09:08:28 +0100 (Do, 25. Feb 2021) $
 */

defined('mxMainFileLoaded') or die('access denied');
global $prefix;
define("PMXSLIDER_TABLE",$prefix."_xslider");
define("PMXSLIDERS_TYPES","turn,shift,louvers,cube_over,tv,lines,bubbles,dribbles,glass_parallax,parallax,brick,collage,seven,kenburns,cube,blur,book,rotate,domino,slices,blast,blinds,basic,basic_linear,fade,fly,flip,page,stack,stack_vertical");



function pmxSlider_type_from_nr($nr)
{
		$a=pmxSlider_array();
		$a=array_flip($a);
		return $a[$nr];
}

function pmxSlider_array()
{
		//$type="turn,shift,louvers,cube_over,tv,lines,bubbles,dribbles,glass_parallax,parallax,brick,collage,seven,kenburns,cube,blur,book,rotate,domino,slices,blast,blinds,basic,basic_linear,fade,fly,flip,page,stack,stack_vertical";
		$slidertypes=explode(",","_random,".PMXSLIDERS_TYPES);
		$slidertype=asort($slidertypes);
		return array_flip($slidertypes);
}


function pmxSlider_type_random()
{
		return PMXSLIDERS_TYPES;
}



function pmxSlider_install ()
{

	$x=sql_query("SHOW TABLES LIKE '".PMXSLIDER_TABLE."'");
	$y=sql_num_rows($x);
	
	if ($y==0)
	{
		$sqlqry[] = "
			CREATE TABLE IF NOT EXISTS `".PMXSLIDER_TABLE."` (
			  `nr` int(11) NOT NULL AUTO_INCREMENT,
			  `active` int(11) DEFAULT NULL,
			  `position` int(11) DEFAULT NULL,
			  `title` text COLLATE utf8_unicode_ci NOT NULL,
			  `subtitle` text COLLATE utf8_unicode_ci NOT NULL,
			  `image` text COLLATE utf8_unicode_ci NOT NULL,
			  `url` text COLLATE utf8_unicode_ci NOT NULL,
			  `link_type` int(11) NOT NULL,
			  PRIMARY KEY (`nr`),
			  KEY `nr` (`nr`)
			) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
			";


		if (isset($sqlqry)) {
			sql_AllQueries($sqlqry);
			unset($sqlqry);
		}	
	}
}
?>